/*
 * Copyright (c) 2018-2019 Blacknet Team
 *
 * Licensed under the Jelurida Public License version 1.1
 * for the Blacknet Public Blockchain Platform (the "License");
 * you may not use this file except in compliance with the License.
 * See the LICENSE.txt file at the top-level directory of this distribution.
 */

 * {
    margin: 0;
    padding: 0;
    font-family: SFMono-Regular,Consolas,Liberation Mono,Menlo,monospace;
}


:root {
    --darker-grey-bg: #2D2D2D;
    --lighter-grey-bg: #3B3B3B;
    --gold-text: #E8BA3F;
    --grey-text: #ADADAD;
}
html, body{
    height: 100%;
}

[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
    display: none !important;
}
html {
    background: #3B3B3B;
    
}

header {
    display: table;
    background: linear-gradient(to bottom, #2D2D2D, #323232);
    width: 100%;
    border-bottom: 1px solid #141414;
    z-index: 98;
}

.nav{
    float: left;
    height: 64px;
    line-height: 64px;
    margin-left: 20px;
}
.nav a{
    padding: 0 10px;
    font-size: 14px;
    display: inline-block;
    height: 64px;
}

.nav a:hover, .nav a.active{
    background: #3B3B3B;
}
.touch-menu{
    display: none;
}

.nav-form {
    float: right;
    height: 32px;
    margin: 16px 20px 0 0;
}

.nav-form input{
    min-width: 200px;
    max-width: 600px;
    width: 100%;
    background-color: #3B3B3B;
    color: var(--grey-text);
    border: 0;
    font-size: 12px;
    height: 32px;
    padding: 2px 10px;
}
.search-box input{
    background-color: #313131;
    color: var(--grey-text);
    font-size: 12px;
    border: 1px solid #303030;
    height: 32px;
    width: 580px;
    padding: 2px 10px;

}

.logo {
    float: left;
    height: 64px;
    padding-left: 20px;
    overflow: hidden;
    line-height: 64px;
    color: var(--gold-text);
    font-size: 18px;
    font-weight: bold;
    white-space: nowrap;
    text-decoration: none;
    position: relative;
    background-size: 40px 40px;
    background-position: 30px 50%;

}
.logo a{
    color: var(--gold-text);
}

header .network {
    float: right;
    height: 32px;
    margin-top: 16px;
    background: var(--lighter-grey-bg);
    color: #fff;
    padding: 0 5px;
    border-radius: 3px;
    margin-right: 16px;
    /* color: var(--gold-text);; */
    line-height: 32px;
    font-size: 12px;
}

.forkv1 td a{
    color: #F75535;
}
.strong, h2 {
    color: var(--gold-text)!important;
}

h3{
    color: var(--grey-text);
    margin-top: 20px;
    font-weight: normal;
}

h4{
    color: var(--grey-text);
    margin-top: 20px;
    font-weight: normal;
}

.main-menu {
    width: 220px;
    float: left;
    background: #3B3B3B;
    overflow: hidden;
    color: var(--grey-text);
    background: linear-gradient(left right, #3d3d3d, #222);
}

.menu li {
    height: 40px;
    line-height: 40px;
    padding-left: 20px;
}

.menu li:hover {
    cursor: pointer;
}

.menu li:hover a {
    color: var(--gold-text);
}

.menu li a {
    color: var(--grey-text);
    text-decoration: none;
    display: inline-block;
    width: 100%;
}

.menu li.active {
    background-color: var(--gold-text);
    overflow: hidden;
    border-right: 1px solid var(--gold-text);
}

.menu li.active a {
    color: #fff;
}

.menu .cancel_lease_tab{
    display: none;
}

.rightpanel {
    padding: 10px 20px;
    position: absolute;
    color: var(--grey-text);
    left: 220px;
    right: 0;
    bottom: 0;
    top: 64px;
    border-left: 1px solid #222;
    overflow-y: scroll;
}
.rightpanel::-webkit-scrollbar {
    background-color:transparent;
    width:16px
}

.rightpanel::-webkit-scrollbar-track {
    background-color:transparent
}

.rightpanel::-webkit-scrollbar-thumb {
    background-color: var(--darker-grey-bg);
}

.rightpanel::-webkit-scrollbar-button {display:none}

.rightpanel>div {
    display: none;
    padding-top: 15px;
}

.rightpanel .info {
    word-break: break-all;
    font-size: 14px;
}

.rightpanel .info h3 {
    color: var(--gold-text);
    margin: 10px 0 5px;
    padding: 5px 0;
    font-size: 14px;
    border-bottom: 1px solid #ADADAD;
}

.rightpanel .info p {
    margin: 0 0 5px;
}

.field-row {
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
}

fieldset {
    padding: 15px;
    border: 1px groove;
    border-color: var(--gold-text);
    margin: 0 0 1em;
    width: 666px;
}

legend {
    color: var(--grey-text);
    font-size: 18px;
    font-weight: bold;
    padding-left: 4px;
    padding-right: 4px;
}

label {
    color: var(--grey-text);
    flex-basis: 120px;
    font-size: 14px;
    flex-grow: 1;
}

label strong {
    color: var(--gold-text);
    font-size: 12px;
}

/* input[type="text"], input[type="password"], input[type="number"], select {
    border: 1px solid var(--darker-grey-bg);
    border-radius: 4px;
    height: 20px;
    width: 80%;
    padding: 5px 10px;
    background-color: var(--grey-text);
    flex-grow: 8;
    font-size: 14px;
} */

select{
    height: 30px;
    display: inline-block;
}

button {
    line-height: 1.499;
    position: relative;
    display: inline-block;
    font-weight: 400;
    white-space: nowrap;
    text-align: center;
    background-image: none;
    border: 1px solid transparent;
    -webkit-box-shadow: 0 2px 0 rgba(231, 162, 14, 0.02);
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.015);
    cursor: pointer;
    -webkit-transition: all .3s cubic-bezier(.645, .045, .355, 1);
    transition: all .3s cubic-bezier(.645, .045, .355, 1);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    height: 32px;
    padding: 0 15px;
    font-size: 14px;
    border-radius: 4px;
    color: rgba(0, 0, 0, 0.65);
    background-color: #ddd;
    border-color: #d9d9d9;
    -webkit-writing-mode: horizontal-tb !important;
}

fieldset button, .staking button{
    color: var(--gold-text);
    background-color: var(--darker-grey-bg);
    border: none;
}
.newaccount button{
    color: var(--gold-text);
    background-color: var(--darker-grey-bg);
    width: 100px;
    float: right;
    border: 1px solid var(--gold-text);
}

input:read-only {
    background-color: var(--lighter-grey-bg);
    color: var(--gold-text);
    border: none;
    font-size: 12px;
}

input:-moz-read-only {
    background-color: var(--lighter-grey-bg);
    color: var(--gold-text);
    border: none;
    font-size: 12px;
}

/* input:focus {
box-shadow: inset 0 0 4px #000000;
} */

.overview table {
    margin-bottom: 25px;
}

.overview_num{
    padding: 2px 5px;
    background-color: var(--darker-grey-bg);
    color: var(--grey-text);
    border-radius: 2px;
}

.head_wrap{
    max-width: 1154px;
    margin: auto;
}

table {
    border-collapse: collapse;
    /* border: 1px solid var(--grey-text); */
    margin-top: 10px;
    width: 100%;
}

thead td {
    color: var(--grey-text);
    padding: 10px;
    font-size: 13px;
    text-align: left;
    background-color: var(--darker-grey-bg);
}

tbody td {
    color: var(--grey-text);
    padding: 5px 10px;
    word-wrap: break-word;
    font-size: 13px;
    border-bottom: 1px solid #5B5B5B;
    height: 24px;
}
tbody tr:last-child td{
    border-bottom: none;
}

table td.right {
    text-align: right;
}
table td.left{
    text-align: left;
}

tr:hover {
    /* background-color: var(--darker-grey-bg); */
}
.dialog {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: #2A2A2A;
    z-index: 101;
    border: 1px solid #1D1D1D;
    border-radius: 3px;
    font-size: 12px;
    padding: 15px 20px;
    overflow: hidden;
    display: none;
}
.content{
    width:1124px;
    margin: 0 auto;
    /* border: 1px solid #323232; */
    padding: 0 14px;
    min-height: 100%;
    position: relative;
    padding-bottom: 15px;
}

button.cancel {
    background: transparent;
    border: 1px solid #575757;
    color: #90B2EF;
    margin-right: 20px;
}

input:focus, button:focus {
    outline: 0;
}

.fieldset_claim{
    margin: 0 auto;
    width: 100%;
    max-width: 666px;
    box-sizing: border-box;
}

.res_msg{
    color: var(--gold-text);
}

.fieldset_claim .field-row {
    display: block;
}

.fieldset_claim label{
    display: block;
    line-height: 30px;
}

.fieldset_claim input{
    display: block;
    width: 100%;
    background-color: #3B3B3B;
    color: var(--grey-text);
    border: 0;
    font-size: 12px;
    height: 32px;
    padding: 5px 10px;
    border: 1px solid var(--darker-grey-bg);
    box-sizing: border-box;
    border-radius: 4px;
}

.fieldset_claim input:focus {
    border: 1px solid var(--gold-text);
}

fieldset pre {
    width: 80%;
    height: 55px;
    flex-grow: 8;
}
.add-peer{
    margin-top: 50px;
    width: 768px;
}
.add-peer button{
    float: right;
}

.spinner {
    margin: 0 auto;
    height: 40px;
    text-align: center;
    font-size: 10px;
}

.spinner>div {
    background-color: var(--gold-text);
    height: 100%;
    width: 6px;
    display: inline-block;
    -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
    animation: sk-stretchdelay 1.2s infinite ease-in-out;
}

.spinner .rect2 {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
}

.spinner .rect3 {
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
}

.spinner .rect4 {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}

.spinner .rect5 {
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
}

@-webkit-keyframes sk-stretchdelay {
    0%, 40%, 100% {
        -webkit-transform: scaleY(0.4)
    }
    20% {
        -webkit-transform: scaleY(1.0)
    }
}

@keyframes sk-stretchdelay {
    0%, 40%, 100% {
        transform: scaleY(0.4);
        -webkit-transform: scaleY(0.4);
    }
    20% {
        transform: scaleY(1.0);
        -webkit-transform: scaleY(1.0);
    }
}

.account-input {
    display: none;
}

a, a:active {
    color: #3CA2A2;
    text-decoration: none;
}


.progress-stats, .progress-stats-text{
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 1000;
    display: none;
}
.progress-stats-text{
    z-index: 1001;
    color: #eee;
    height: 20px;
    width: 200px;
    font-size: 12px;
    line-height: 20px;
    text-align: center;
}
.progress{
    display: flex;
    height: 20px;
    overflow: hidden;
    width: 200px;
    background-color: var(--darker-grey-bg);
    border-radius: 2px;
}

.progress-bar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    white-space: nowrap;
    background-color: var(--gold-text);
    transition: width .6s ease;
}
.tx{
    margin-top: 10px;
    border: 1px solid  #2C2C2C;
    background: #3B3B3B;
}
.tx a{
    font-size: 14px;
}

.tx_body{
    line-height: 20px;
    padding: 15px 15px;
    flex-direction: row;
    display: flex;
}

.tx_body .to{
    text-align: right;
    flex: 10;
}
.tx_body .from{
    flex: 10;
    
}
.tx_body .from, .tx_body .to{
    font-size: 14px;
    color: var(--grey-text);
}

 .tx_time{
    font-size: 12px;
    color: var(--grey-text);

}

.tx_body .type{
    text-align: center;
    flex: 2;
}
.tx_header{
    line-height: 30px;
    padding: 0 15px;
    background: var(--darker-grey-bg);
    border-radius: 3px;
    font-size: 14px;
    height: 30px;
}

.tx_header .right_info{
    float: right;
}

.right_info span{
    color: var(--grey-text);
}

span.tx_type{
    color: var(--grey-text);
    border: 1px solid  #2C2C2C;
    background: #3B3B3B;
    border-radius: 2px;
    padding: 2px 4px;
    font-size: 12px;
}

footer{
    height: 64px;
    background: linear-gradient(to bottom, #2D2D2D, #323232);
    width: 100%;
    margin-top: 15px;
    line-height: 64px;
    text-align: center;
}
footer a{
    font-size: 12px;
    padding: 0 10px;
}
.filter{
    margin-top: 20px;
    margin-bottom: 10px;
}

.filter a{
    padding: 0 10px;
    line-height: 36px;
    display: inline-block;
    font-size: 14px;
}
.filter a.active{
    background: #2D2D2D;
}
.pager a.current{
    background: transparent;
    border: none;
}
#top_table{
    margin-top: 0;
}
.account_tx, .filter{
    position: relative;
}
.pos_filter{
    position: absolute;
    right: 0;
    bottom: 8px;
    user-select: none;
}
#index-table{
    border: 1px solid #5B5B5B;
    line-height: 24px;
}


/* chart */
.chart{
    margin-top: 0;
}

/* index chart */
.chart-trade{
    background: #323232;
    height: 150px;
    margin: 0 auto;
    margin-top: 15px;
}

.search-form{
    display: none;
}



/* apis */

.apis{
    color:var(--grey-text);
    padding: 1em 1em;
}

.apis ol, .apis ul {
    margin-top: 1em;
    padding-left: 1.3em;
    padding-right: 1.5em;
}
.apis .args{
    list-style: none;
    margin-top: 0.5em;
}
.apis blockquote{
    margin: 1em 0 1em;
    padding: 0 1em;
    border-left: 3px solid var(--gold-text);
}

.apis pre{
    margin-top: 1em;
}

.apis table{
    border: 1px solid #5B5B5B;
    margin-top: 1em;
}

.apis th{
    border-bottom: 1px solid #5B5B5B;
    background: #5B5B5B;
    padding: 5px 10px;
}

.apis h3{
    color: #3CA2A2;
}

.search-page{
    text-align: center;
}
.search-box{
    margin-top: 120px;
    position: relative;
}
.search-text{
    margin-top: 20px;
    border-radius: 4px;
    font-size: 12px;
}
.search-button{
    position: absolute;
    right: 270px;
    bottom: 12px;
    font-size: 12px;
}

.alias .help_text{
    width: 664px;
    margin: 0 auto;
    color: var(--grey-text);
    line-height: 1.6;
    font-size: 12px;
    padding: 20px 0;
    border-bottom: 1px solid var(--grey-text);;
    margin-top: 20px;
    margin-bottom: 50px;
}
.alias .help_text p{
    margin-top: 5px;
}
.wrap {
    position: relative;
    z-index: 101;
    background: #3B3B3B;
}
.under{
    top: 30px;
    left: 50%;
    margin-left: -20px;
    position: absolute;
    z-index: -1;
}

h1 {
    font-size: 24px;
}

.apis h3{
    font-size: 14px;
}

.apis p{
    font-size: 14px;
}

.apis ul{
    font-size: 12px;
}
.pc{
    width: 112px;
}
.top_address{
    max-width: 600px;
    display: inline-block;
}

.txamount .spent{
    color: #c02a1d;
}

.txamount .recieved{
    color: #27892f;
}